Bug 104484 - ip6tables-save does not save udp ports correctly
ip6tables-save does not save udp ports correctly
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-16 04:09 EDT by Andre
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 05:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre 2003-09-16 04:09:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
ip6tables-save looses port information when saving udp rules.

Version-Release number of selected component (if applicable):
iptables-ipv6-1.2.7a-2

How reproducible:
Always

Steps to Reproduce:
1. service ip6tables stop # (flush all rules)
2. ip6tables -A INPUT -p udp -m udp --sport 32768: --dport 32768: -j ACCEPT
3. ip6tables-save -c |grep -- '-A INPUT'
    

Actual Results:  [0:0] -A INPUT -s ::/0 -d ::/0 -p udp -m udp -j ACCEPT

# Notice that all port information is lost!

Expected Results:  [0:0] -A INPUT -s ::/0 -d ::/0 -p udp -m udp --sport 32768:
--dport 32768: -j ACCEPT


Additional info:

ip6tables -v -L INPUT # gives:

Chain INPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
    0     0 ACCEPT     udp      any    any     anywhere             anywhere   
       udp spts:32768:65535 dpts:32768:65535

as expected.
Comment 2 Andre 2003-09-16 14:46:46 EDT
I still get the same behavior with the new packages:

# rpm -qf `which ip6tables-save`
iptables-ipv6-1.2.8-8.90.1
# ip6tables -v -L INPUT |grep udp
 0 0 ACCEPT udp any any anywhere anywhere udp spts:32768:65535 dpts:32768:65535
# ip6tables-save -c |grep -- '-A INPUT'
[0:0] -A INPUT -s ::/0 -d ::/0 -p udp -m udp -j ACCEPT
Comment 4 Andre 2003-09-17 13:18:07 EDT
Yes, 1.2.8-8.90.5 has fixed the problem for me -- the udp ports are being saved
correctly.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.